<template>
	<view class="content">
		<!-- 公司介绍 -->
		<view class="u-content">
			<u-parse :content="CompanyProfile"></u-parse>
		</view>
		<u-toast ref="uToast"></u-toast>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				CompanyProfile: null
			}
		},
		onShow() {
			this.getCompanyProfile()
		},
		methods: {
			//获取公司介绍
			getCompanyProfile() {
				this.$request('/company-intro', 'GET', {}).then(res => {
					console.log('请求成功');
					this.CompanyProfile = res.data.intro;
				}).catch(err => {
					uni.showToast({

						icon: 'error',

						title: '' + err.message

					})
				})
			},
		}
	}
</script>

<style lang="scss" scoped>
	.content {
		width: 100vw;
		height: 100vh;
		overflow-y: scroll;
		background: #ffffff;
	}

	.u-content {
		padding: 24rpx;
	}
</style>